## terraform-switcher 0.13.1308+ds

=== Makefile ===
EXE  := tfswitch
PKG  := github.com/warrensbox/terraform-switcher
VER := $(shell git ls-remote --tags git@github.com:warrensbox/terraform-switcher.git | awk '{if ($$2 ~ "\\^\\{\\}$$") next; print vers[split($$2,vers,"\\/")]}' | sort -n -t. -k1,1 -k2,2 -k3,3 | tail -1)
PATH := build:$(PATH)
GOOS ?= $(shell go env GOOS)
GOARCH ?= $(shell go env GOARCH)

$(EXE): go.mod *.go lib/*.go
	go build -v -ldflags "-X main.version=$(VER)" -o $@ $(PKG)

.PHONY: release
release: $(EXE) darwin linux

.PHONY: darwin linux 
darwin linux:
	GOOS=$@ go build -ldflags "-X main.version=$(VER)" -o $(EXE)-$(VER)-$@-$(GOARCH) $(PKG)

.PHONY: clean
clean:
	rm -f $(EXE) $(EXE)-*-*-*

.PHONY: test
test: $(EXE)
	mv $(EXE) build
	go test -v ./...

.PHONY: install
install: $(EXE)
	mkdir -p ~/bin
	mv $(EXE) ~/bin

.PHONY: docs
docs:
	cd docs; bundle install --path vendor/bundler; bundle exec jekyll build -c _config.yml; cd ..

## terraform-switcher 0.13.1308%2Bds

=== debian/control ===
Source: terraform-switcher
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Anthony Fok <foka@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any (>= 2:1.18~),
               golang-github-hashicorp-go-version-dev (>= 1.6.0),
               golang-github-hashicorp-hcl-v2-dev (>= 2.0.0),
               golang-github-hashicorp-terraform-config-inspect-dev,
               golang-github-manifoldco-promptui-dev (>= 0.9.0),
               golang-github-mitchellh-go-homedir-dev (>= 1.1.0),
               golang-github-pborman-getopt-dev (>= 1.1.0),
               golang-github-spf13-viper-dev (>= 1.12.0),
               golang-golang-x-sys-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/terraform-switcher
Vcs-Git: https://salsa.debian.org/go-team/packages/terraform-switcher.git
Homepage: https://github.com/warrensbox/terraform-switcher
XS-Go-Import-Path: github.com/warrensbox/terraform-switcher

Package: terraform-switcher
Section: utils
Architecture: any
Depends: ca-certificates,
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Static-Built-Using: ${misc:Static-Built-Using}
Description: switch between different versions of terraform (CLI tool)
 The tfswitch command line tool lets you switch between different versions of
 terraform. If you do not have a particular version of terraform installed,
 tfswitch will download the version you desire. The installation is minimal
 and easy. Once installed, simply select the version you require from the
 dropdown and start using terraform.

## terraform-switcher 0.13.1308+ds

=== debian/changelog ===
terraform-switcher (0.13.1308+ds-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 26 Jun 2025 14:44:18 +1000

terraform-switcher (0.13.1308+ds-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 11 Nov 2024 08:28:40 +1000

terraform-switcher (0.13.1308+ds-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 12:10:12 +0530

terraform-switcher (0.13.1308+ds-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:18:37 +1200

terraform-switcher (0.13.1308+ds-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Initial release (Closes: #1014440)

  [ Anthony Fok ]
  * New upstream version 0.13.1308+ds
  * Avoid "source: source-is-missing" Lintian errors
    by adding "Files-Excluded: www/*" to debian/copyright
  * debian/watch: Skip alpha version, and add +ds repack suffix
  * Add myself to the list of Uploaders
  * Update versioned dependencies as per go.mod
  * Apply miscellaneous fixes and patches

 -- Anthony Fok <foka@debian.org>  Tue, 11 Jul 2023 00:10:14 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: terraform-switcher
 Section: golang
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Anthony Fok <foka@debian.org>
 Rules-Requires-Root: no
